Subject: Re: [PATCH] powerpc: fix udbg warning

From: Geoff Levand <[email-masked]>
Date: Tue, 08 Aug 2006 11:30:36 -0700

Paul Mackerras wrote:
> I get:
> 
> fatal: corrupt patch at line 12
> * Patch failed.
> 
> from git-applymbox when I try to apply it.  It looks like your mailer
> turns lines that contain only whitespace into empty lines.  Please fix
> it or use a different mailer.

  -user_pref("mailnews.wraplength", 0);
  +user_pref("mailnews.wraplength", 10000);

Sorry about that, seems I made that change back in December.  I'm
wondering if you changed something on your side that now chokes on
it, or did you just get feedup with fixing my patches by hand...

Anyway, here's a new patch with some additional fixes for slb.c.
Please let me know if you have trouble with it.

-Geoff 

Fix some warnings when udbg is enabled.

hash_utils_64.c:169: warning: implicit declaration of function ‘udbg_printf’
hash_utils_64.c:251: warning: format ‘%04x’ expects type ‘unsigned int’
slb.c:191: warning: format ‘%04x’ expects type ‘unsigned int’

Signed-off-by: Geoff Levand <[email-masked]>

---
 arch/powerpc/mm/hash_utils_64.c |    7 ++++---
 arch/powerpc/mm/slb.c           |    7 ++++---
 2 files changed, 8 insertions(+), 6 deletions(-)

Index: cell--common--4/arch/powerpc/mm/hash_utils_64.c
===================================================================
--- cell--common--4.orig/arch/powerpc/mm/hash_utils_64.c
+++ cell--common--4/arch/powerpc/mm/hash_utils_64.c
@@ -51,6 +51,7 @@
 #include <asm/cputable.h>
 #include <asm/abs_addr.h>
 #include <asm/sections.h>
+#include <asm/udbg.h>
 
 #ifdef DEBUG
 #define DBG(fmt...) udbg_printf(fmt)
@@ -247,7 +248,7 @@
 			else
 				def->tlbiel = 0;
 
-			DBG(" %d: shift=%02x, sllp=%04x, avpnm=%08x, "
+			DBG(" %d: shift=%02x, sllp=%04lx, avpnm=%08lx, "
 			    "tlbiel=%d, penc=%d\n",
 			    idx, shift, def->sllp, def->avpnm, def->tlbiel,
 			    def->penc);
@@ -773,7 +774,7 @@
 {
 	unsigned long hash, index, shift, hidx, slot;
 
-	DBG_LOW("flush_hash_page(va=%016x)\n", va);
+	DBG_LOW("flush_hash_page(va=%016lx)\n", va);
 	pte_iterate_hashed_subpages(pte, psize, va, index, shift) {
 		hash = hpt_hash(va, shift);
 		hidx = __rpte_to_hidx(pte, index);
@@ -781,7 +782,7 @@
 			hash = ~hash;
 		slot = (hash & htab_hash_mask) * HPTES_PER_GROUP;
 		slot += hidx & _PTEIDX_GROUP_IX;
-		DBG_LOW(" sub %d: hash=%x, hidx=%x\n", index, slot, hidx);
+		DBG_LOW(" sub %ld: hash=%lx, hidx=%lx\n", index, slot, hidx);
 		ppc_md.hpte_invalidate(slot, va, psize, local);
 	} pte_iterate_hashed_end();
 }
Index: cell--common--4/arch/powerpc/mm/slb.c
===================================================================
--- cell--common--4.orig/arch/powerpc/mm/slb.c
+++ cell--common--4/arch/powerpc/mm/slb.c
@@ -22,6 +22,7 @@
 #include <asm/paca.h>
 #include <asm/cputable.h>
 #include <asm/cacheflush.h>
+#include <asm/udbg.h>
 
 #ifdef DEBUG
 #define DBG(fmt...) udbg_printf(fmt)
@@ -187,12 +188,12 @@
 		patch_slb_encoding(slb_miss_kernel_load_io,
 				   SLB_VSID_KERNEL | io_llp);
 
-		DBG("SLB: linear  LLP = %04x\n", linear_llp);
-		DBG("SLB: io      LLP = %04x\n", io_llp);
+		DBG("SLB: linear  LLP = %04lx\n", linear_llp);
+		DBG("SLB: io      LLP = %04lx\n", io_llp);
 #ifdef CONFIG_HUGETLB_PAGE
 		patch_slb_encoding(slb_miss_user_load_huge,
 				   SLB_VSID_USER | huge_llp);
-		DBG("SLB: huge    LLP = %04x\n", huge_llp);
+		DBG("SLB: huge    LLP = %04lx\n", huge_llp);
 #endif
 	}